Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.genericasync.session.impl
Class GenAsyncServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.genericasync.session.impl.GenAsyncServiceImpl

All Implemented Interfaces:
  GenAsyncService

    public class GenAsyncServiceImpl

extends Object
implements GenAsyncService

The Business Connector for General Practitioners provides a simplified interface to access the Generic Async service Implementation of `GenAsyncService`

Constructor Summary
`GenAsyncServiceImpl(SessionValidator sessionValidator, String serviceName)` Instantiates a new Generic Async service

Method Summary
`ConfirmResponse` | `confirmRequest(Confirm request, WsAddressingHeader header)` Sends a confirm request to the WS.
`GetResponse` | `getRequest(Get request, WsAddressingHeader header)` Returns the `Responses` from the post previously sent and generate the token.
`PostResponse` | `postRequest(Post request, WsAddressingHeader header)` Returns the `TAck` of the request of an operation and generate the token.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenAsyncServiceImpl

    public GenAsyncServiceImpl(SessionValidator sessionValidator,
                               String serviceName)
                        throws TechnicalConnectorException

  Instantiates a new Generic Async service

  Parameters:
    `sessionValidator` - the session validator
    `serviceName` - the service Name
  Throws:
    `TechnicalConnectorException`

Method Detail

### postRequest

    public PostResponse postRequest(Post request,
                                    WsAddressingHeader header)
                             throws GenAsyncBusinessConnectorException,
                                    TechnicalConnectorException,
                                    SessionManagementException

  Description copied from interface: `GenAsyncService`
  Returns the `TAck` of the request of an operation and generate the token.

  Specified by:
    `postRequest` in interface `GenAsyncService`
  Parameters:
    `request` - the request
  Returns:
    TAck
  Throws:
    `GenAsyncBusinessConnectorException`
    `TechnicalConnectorException`
    `SessionManagementException`
  See Also:
    `GenAsyncService.postRequest(Post, WsAddressingHeader)`

### getRequest

    public GetResponse getRequest(Get request,
                                  WsAddressingHeader header)
                           throws GenAsyncBusinessConnectorException,
                                  TechnicalConnectorException,
                                  SessionManagementException

  Description copied from interface: `GenAsyncService`
  Returns the `Responses` from the post previously sent and generate the token.

  Specified by:
    `getRequest` in interface `GenAsyncService`
  Parameters:
    `request` - the request
  Returns:
    Responses
  Throws:
    `GenAsyncBusinessConnectorException`
    `TechnicalConnectorException`
    `SessionManagementException`
  See Also:
    `GenAsyncService.getRequest(Get, WsAddressingHeader)`

### confirmRequest

    public ConfirmResponse confirmRequest(Confirm request,
                                          WsAddressingHeader header)
                                   throws GenAsyncBusinessConnectorException,
                                          TechnicalConnectorException,
                                          SessionManagementException

  Description copied from interface: `GenAsyncService`
  Sends a confirm request to the WS.

  Specified by:
    `confirmRequest` in interface `GenAsyncService`
  Parameters:
    `request` - the request
  Returns:
    the response
  Throws:
    `GenAsyncBusinessConnectorException`
    `TechnicalConnectorException`
    `SessionManagementException`
  See Also:
    `GenAsyncService.confirmRequest(Confirm, WsAddressingHeader)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.